import{s as sn,o as dn,n as ln}from"../chunks/scheduler.25b97de1.js";import{S as mn,i as pn,g as l,s as a,r as m,A as cn,h as s,f as o,c as n,j as b,u as p,x as d,k as _,y as t,a as i,v as c,d as g,t as f,w as u}from"../chunks/index.d9030fc9.js";import{T as rn}from"../chunks/Tip.baa67368.js";import{D as v}from"../chunks/Docstring.ffac8efa.js";import{H as W,E as gn}from"../chunks/EditOnGithub.91d95064.js";function fn(Le){let h,M=`For best performance, this data collator should be used with a dataset having items that are dictionaries or
BatchEncoding, with the <code>&quot;special_tokens_mask&quot;</code> key, as returned by a <a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a> or a
<a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast">PreTrainedTokenizerFast</a> with the argument <code>return_special_tokens_mask=True</code>.`;return{c(){h=l("p"),h.innerHTML=M},l(k){h=s(k,"P",{"data-svelte-h":!0}),d(h)!=="svelte-1uxurri"&&(h.innerHTML=M)},m(k,E){i(k,h,E)},p:ln,d(k){k&&o(h)}}}function un(Le){let h,M=`This collator relies on details of the implementation of subword tokenization by <a href="/docs/transformers/main/en/model_doc/bert#transformers.BertTokenizer">BertTokenizer</a>, specifically
that subword tokens are prefixed with <em>##</em>. For tokenizers that do not adhere to this scheme, this collator will
produce an output that is roughly equivalent to <code>.DataCollatorForLanguageModeling</code>.`;return{c(){h=l("p"),h.innerHTML=M},l(k){h=s(k,"P",{"data-svelte-h":!0}),d(h)!=="svelte-kpcut1"&&(h.innerHTML=M)},m(k,E){i(k,h,E)},p:ln,d(k){k&&o(h)}}}function hn(Le){let h,M,k,E,X,it,J,wa=`Data collators are objects that will form a batch by using a list of dataset elements as input. These elements are of
the same type as the elements of <code>train_dataset</code> or <code>eval_dataset</code>.`,dt,Q,Pa=`To be able to build batches, data collators may apply some processing (like padding). Some of them (like
<a href="/docs/transformers/main/en/main_classes/data_collator#transformers.DataCollatorForLanguageModeling">DataCollatorForLanguageModeling</a>) also apply some random data augmentation (like random masking)
on the formed batch.`,mt,Y,Fa='Examples of use can be found in the <a href="../examples">example scripts</a> or <a href="../notebooks">example notebooks</a>.',pt,Z,ct,D,ee,jt,qe,La=`Very simple data collator that simply collates batches of dict-like objects and performs special handling for
potential keys named:`,Nt,Me,qa="<li><code>label</code>: handles a single value (int or float) per object</li> <li><code>label_ids</code>: handles a list of values per object</li>",Ot,ze,Ma=`Does not do any additional preprocessing: property names of the input object will be used as corresponding inputs
to the model. See glue and ner for example of how it’s useful.`,gt,te,ft,y,ae,Bt,Se,za=`Very simple data collator that simply collates batches of dict-like objects and performs special handling for
potential keys named:`,Ut,Ie,Sa="<li><code>label</code>: handles a single value (int or float) per object</li> <li><code>label_ids</code>: handles a list of values per object</li>",Kt,We,Ia=`Does not do any additional preprocessing: property names of the input object will be used as corresponding inputs
to the model. See glue and ner for example of how it’s useful.`,Rt,Ae,Wa=`This is an object (like other data collators) rather than a pure function like default_data_collator. This can be
helpful if you need to set a return_tensors value at initialization.`,ut,ne,ht,A,oe,Gt,He,Aa="Data collator that will dynamically pad the inputs received.",_t,re,bt,H,le,Xt,Ve,Ha="Data collator that will dynamically pad the inputs received, as well as the labels.",$t,se,vt,V,ie,Jt,Ee,Va="Data collator that will dynamically pad the inputs received, as well as the labels.",kt,de,xt,x,me,Qt,je,Ea=`Data collator used for language modeling. Inputs are dynamically padded to the maximum length of a batch if they
are not all of the same length.`,Yt,j,Zt,N,pe,ea,Ne,ja="Prepare masked tokens inputs/labels for masked language modeling: 80% MASK, 10% random, 10% original.",ta,O,ce,aa,Oe,Na="Prepare masked tokens inputs/labels for masked language modeling: 80% MASK, 10% random, 10% original.",na,B,ge,oa,Be,Oa="Prepare masked tokens inputs/labels for masked language modeling: 80% MASK, 10% random, 10% original.",Ct,fe,yt,$,ue,ra,Ue,Ba="Data collator used for language modeling that masks entire words.",la,Ke,Ua="<li>collates batches of tensors, honoring their tokenizer’s pad_token</li> <li>preprocesses batches for masked language modeling</li>",sa,U,ia,K,he,da,Re,Ka=`Prepare masked tokens inputs/labels for masked language modeling: 80% MASK, 10% random, 10% original. Set
‘mask_labels’ means we use whole word mask (wwm), we directly mask idxs according to it’s ref.`,ma,R,_e,pa,Ge,Ra=`Prepare masked tokens inputs/labels for masked language modeling: 80% MASK, 10% random, 10% original. Set
‘mask_labels’ means we use whole word mask (wwm), we directly mask idxs according to it’s ref.`,ca,G,be,ga,Xe,Ga=`Prepare masked tokens inputs/labels for masked language modeling: 80% MASK, 10% random, 10% original. Set
‘mask_labels’ means we use whole word mask (wwm), we directly mask idxs according to it’s ref.`,Tt,$e,Dt,C,ve,fa,Je,Xa="Data collator used for permutation language modeling.",ua,Qe,Ja="<li>collates batches of tensors, honoring their tokenizer’s pad_token</li> <li>preprocesses batches for permutation language modeling with procedures specific to XLNet</li>",ha,z,ke,_a,Ye,Qa="The masked tokens to be predicted for a particular sequence are determined by the following algorithm:",ba,xe,Ya=`<li>Start from the beginning of the sequence by setting <code>cur_len = 0</code> (number of tokens processed so far).</li> <li>Sample a <code>span_length</code> from the interval <code>[1, max_span_length]</code> (length of span of tokens to be masked)</li> <li>Reserve a context of length <code>context_length = span_length / plm_probability</code> to surround span to be
masked</li> <li>Sample a starting point <code>start_index</code> from the interval <code>[cur_len, cur_len + context_length - span_length]</code> and mask tokens <code>start_index:start_index + span_length</code></li> <li>Set <code>cur_len = cur_len + context_length</code>. If <code>cur_len &lt; max_len</code> (i.e. there are tokens remaining in the
sequence to be processed), repeat from Step 1.</li>`,$a,S,Ce,va,Ze,Za="The masked tokens to be predicted for a particular sequence are determined by the following algorithm:",ka,ye,en=`<li>Start from the beginning of the sequence by setting <code>cur_len = 0</code> (number of tokens processed so far).</li> <li>Sample a <code>span_length</code> from the interval <code>[1, max_span_length]</code> (length of span of tokens to be masked)</li> <li>Reserve a context of length <code>context_length = span_length / plm_probability</code> to surround span to be
masked</li> <li>Sample a starting point <code>start_index</code> from the interval <code>[cur_len, cur_len + context_length - span_length]</code> and mask tokens <code>start_index:start_index + span_length</code></li> <li>Set <code>cur_len = cur_len + context_length</code>. If <code>cur_len &lt; max_len</code> (i.e. there are tokens remaining in the
sequence to be processed), repeat from Step 1.</li>`,xa,I,Te,Ca,et,tn="The masked tokens to be predicted for a particular sequence are determined by the following algorithm:",ya,De,an=`<li>Start from the beginning of the sequence by setting <code>cur_len = 0</code> (number of tokens processed so far).</li> <li>Sample a <code>span_length</code> from the interval <code>[1, max_span_length]</code> (length of span of tokens to be masked)</li> <li>Reserve a context of length <code>context_length = span_length / plm_probability</code> to surround span to be
masked</li> <li>Sample a starting point <code>start_index</code> from the interval <code>[cur_len, cur_len + context_length - span_length]</code> and mask tokens <code>start_index:start_index + span_length</code></li> <li>Set <code>cur_len = cur_len + context_length</code>. If <code>cur_len &lt; max_len</code> (i.e. there are tokens remaining in the
sequence to be processed), repeat from Step 1.</li>`,wt,we,Pt,L,Pe,Ta,tt,nn="Data collator used for padding free approach. Does the following:",Da,at,on="<li>concatate the entire mini batch into single long sequence [1, total_tokens]</li> <li>uses <code>separator_id</code> to separate sequences within the concatenated <code>labels</code>, default value is -100</li> <li>no padding will be added, returns <code>input_ids</code>, <code>labels</code> and <code>position_ids</code></li>",Ft,Fe,Lt,st,qt;return X=new W({props:{title:"Data Collator",local:"data-collator",headingTag:"h1"}}),Z=new W({props:{title:"Default data collator",local:"transformers.default_data_collator",headingTag:"h2"}}),ee=new v({props:{name:"transformers.default_data_collator",anchor:"transformers.default_data_collator",parameters:[{name:"features",val:": typing.List[transformers.data.data_collator.InputDataClass]"},{name:"return_tensors",val:" = 'pt'"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/data/data_collator.py#L74"}}),te=new W({props:{title:"DefaultDataCollator",local:"transformers.DefaultDataCollator",headingTag:"h2"}}),ae=new v({props:{name:"class transformers.DefaultDataCollator",anchor:"transformers.DefaultDataCollator",parameters:[{name:"return_tensors",val:": str = 'pt'"}],parametersDescription:[{anchor:"transformers.DefaultDataCollator.return_tensors",description:`<strong>return_tensors</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;pt&quot;</code>) &#x2014;
The type of Tensor to return. Allowable values are &#x201C;np&#x201D;, &#x201C;pt&#x201D; and &#x201C;tf&#x201D;.`,name:"return_tensors"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/data/data_collator.py#L99"}}),ne=new W({props:{title:"DataCollatorWithPadding",local:"transformers.DataCollatorWithPadding",headingTag:"h2"}}),oe=new v({props:{name:"class transformers.DataCollatorWithPadding",anchor:"transformers.DataCollatorWithPadding",parameters:[{name:"tokenizer",val:": PreTrainedTokenizerBase"},{name:"padding",val:": typing.Union[bool, str, transformers.utils.generic.PaddingStrategy] = True"},{name:"max_length",val:": typing.Optional[int] = None"},{name:"pad_to_multiple_of",val:": typing.Optional[int] = None"},{name:"return_tensors",val:": str = 'pt'"}],parametersDescription:[{anchor:"transformers.DataCollatorWithPadding.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a> or <a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast">PreTrainedTokenizerFast</a>) &#x2014;
The tokenizer used for encoding the data.`,name:"tokenizer"},{anchor:"transformers.DataCollatorWithPadding.padding",description:`<strong>padding</strong> (<code>bool</code>, <code>str</code> or <a href="/docs/transformers/main/en/internal/file_utils#transformers.utils.PaddingStrategy">PaddingStrategy</a>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Select a strategy to pad the returned sequences (according to the model&#x2019;s padding side and padding index)
among:</p>
<ul>
<li><code>True</code> or <code>&apos;longest&apos;</code> (default): Pad to the longest sequence in the batch (or no padding if only a single
sequence is provided).</li>
<li><code>&apos;max_length&apos;</code>: Pad to a maximum length specified with the argument <code>max_length</code> or to the maximum
acceptable input length for the model if that argument is not provided.</li>
<li><code>False</code> or <code>&apos;do_not_pad&apos;</code>: No padding (i.e., can output a batch with sequences of different lengths).</li>
</ul>`,name:"padding"},{anchor:"transformers.DataCollatorWithPadding.max_length",description:`<strong>max_length</strong> (<code>int</code>, <em>optional</em>) &#x2014;
Maximum length of the returned list and optionally padding length (see above).`,name:"max_length"},{anchor:"transformers.DataCollatorWithPadding.pad_to_multiple_of",description:`<strong>pad_to_multiple_of</strong> (<code>int</code>, <em>optional</em>) &#x2014;
If set will pad the sequence to a multiple of the provided value.</p>
<p>This is especially useful to enable the use of Tensor Cores on NVIDIA hardware with compute capability &gt;=
7.0 (Volta).`,name:"pad_to_multiple_of"},{anchor:"transformers.DataCollatorWithPadding.return_tensors",description:`<strong>return_tensors</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;pt&quot;</code>) &#x2014;
The type of Tensor to return. Allowable values are &#x201C;np&#x201D;, &#x201C;pt&#x201D; and &#x201C;tf&#x201D;.`,name:"return_tensors"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/data/data_collator.py#L236"}}),re=new W({props:{title:"DataCollatorForTokenClassification",local:"transformers.DataCollatorForTokenClassification",headingTag:"h2"}}),le=new v({props:{name:"class transformers.DataCollatorForTokenClassification",anchor:"transformers.DataCollatorForTokenClassification",parameters:[{name:"tokenizer",val:": PreTrainedTokenizerBase"},{name:"padding",val:": typing.Union[bool, str, transformers.utils.generic.PaddingStrategy] = True"},{name:"max_length",val:": typing.Optional[int] = None"},{name:"pad_to_multiple_of",val:": typing.Optional[int] = None"},{name:"label_pad_token_id",val:": int = -100"},{name:"return_tensors",val:": str = 'pt'"}],parametersDescription:[{anchor:"transformers.DataCollatorForTokenClassification.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a> or <a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast">PreTrainedTokenizerFast</a>) &#x2014;
The tokenizer used for encoding the data.`,name:"tokenizer"},{anchor:"transformers.DataCollatorForTokenClassification.padding",description:`<strong>padding</strong> (<code>bool</code>, <code>str</code> or <a href="/docs/transformers/main/en/internal/file_utils#transformers.utils.PaddingStrategy">PaddingStrategy</a>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Select a strategy to pad the returned sequences (according to the model&#x2019;s padding side and padding index)
among:</p>
<ul>
<li><code>True</code> or <code>&apos;longest&apos;</code> (default): Pad to the longest sequence in the batch (or no padding if only a single
sequence is provided).</li>
<li><code>&apos;max_length&apos;</code>: Pad to a maximum length specified with the argument <code>max_length</code> or to the maximum
acceptable input length for the model if that argument is not provided.</li>
<li><code>False</code> or <code>&apos;do_not_pad&apos;</code>: No padding (i.e., can output a batch with sequences of different lengths).</li>
</ul>`,name:"padding"},{anchor:"transformers.DataCollatorForTokenClassification.max_length",description:`<strong>max_length</strong> (<code>int</code>, <em>optional</em>) &#x2014;
Maximum length of the returned list and optionally padding length (see above).`,name:"max_length"},{anchor:"transformers.DataCollatorForTokenClassification.pad_to_multiple_of",description:`<strong>pad_to_multiple_of</strong> (<code>int</code>, <em>optional</em>) &#x2014;
If set will pad the sequence to a multiple of the provided value.</p>
<p>This is especially useful to enable the use of Tensor Cores on NVIDIA hardware with compute capability &gt;=
7.0 (Volta).`,name:"pad_to_multiple_of"},{anchor:"transformers.DataCollatorForTokenClassification.label_pad_token_id",description:`<strong>label_pad_token_id</strong> (<code>int</code>, <em>optional</em>, defaults to -100) &#x2014;
The id to use when padding the labels (-100 will be automatically ignore by PyTorch loss functions).`,name:"label_pad_token_id"},{anchor:"transformers.DataCollatorForTokenClassification.return_tensors",description:`<strong>return_tensors</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;pt&quot;</code>) &#x2014;
The type of Tensor to return. Allowable values are &#x201C;np&#x201D;, &#x201C;pt&#x201D; and &#x201C;tf&#x201D;.`,name:"return_tensors"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/data/data_collator.py#L288"}}),se=new W({props:{title:"DataCollatorForSeq2Seq",local:"transformers.DataCollatorForSeq2Seq",headingTag:"h2"}}),ie=new v({props:{name:"class transformers.DataCollatorForSeq2Seq",anchor:"transformers.DataCollatorForSeq2Seq",parameters:[{name:"tokenizer",val:": PreTrainedTokenizerBase"},{name:"model",val:": typing.Optional[typing.Any] = None"},{name:"padding",val:": typing.Union[bool, str, transformers.utils.generic.PaddingStrategy] = True"},{name:"max_length",val:": typing.Optional[int] = None"},{name:"pad_to_multiple_of",val:": typing.Optional[int] = None"},{name:"label_pad_token_id",val:": int = -100"},{name:"return_tensors",val:": str = 'pt'"}],parametersDescription:[{anchor:"transformers.DataCollatorForSeq2Seq.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a> or <a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast">PreTrainedTokenizerFast</a>) &#x2014;
The tokenizer used for encoding the data.`,name:"tokenizer"},{anchor:"transformers.DataCollatorForSeq2Seq.model",description:`<strong>model</strong> (<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a>, <em>optional</em>) &#x2014;
The model that is being trained. If set and has the <em>prepare_decoder_input_ids_from_labels</em>, use it to
prepare the <em>decoder_input_ids</em></p>
<p>This is useful when using <em>label_smoothing</em> to avoid calculating loss twice.`,name:"model"},{anchor:"transformers.DataCollatorForSeq2Seq.padding",description:`<strong>padding</strong> (<code>bool</code>, <code>str</code> or <a href="/docs/transformers/main/en/internal/file_utils#transformers.utils.PaddingStrategy">PaddingStrategy</a>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Select a strategy to pad the returned sequences (according to the model&#x2019;s padding side and padding index)
among:</p>
<ul>
<li><code>True</code> or <code>&apos;longest&apos;</code> (default): Pad to the longest sequence in the batch (or no padding if only a single
sequence is provided).</li>
<li><code>&apos;max_length&apos;</code>: Pad to a maximum length specified with the argument <code>max_length</code> or to the maximum
acceptable input length for the model if that argument is not provided.</li>
<li><code>False</code> or <code>&apos;do_not_pad&apos;</code>: No padding (i.e., can output a batch with sequences of different lengths).</li>
</ul>`,name:"padding"},{anchor:"transformers.DataCollatorForSeq2Seq.max_length",description:`<strong>max_length</strong> (<code>int</code>, <em>optional</em>) &#x2014;
Maximum length of the returned list and optionally padding length (see above).`,name:"max_length"},{anchor:"transformers.DataCollatorForSeq2Seq.pad_to_multiple_of",description:`<strong>pad_to_multiple_of</strong> (<code>int</code>, <em>optional</em>) &#x2014;
If set will pad the sequence to a multiple of the provided value.</p>
<p>This is especially useful to enable the use of Tensor Cores on NVIDIA hardware with compute capability &gt;=
7.0 (Volta).`,name:"pad_to_multiple_of"},{anchor:"transformers.DataCollatorForSeq2Seq.label_pad_token_id",description:`<strong>label_pad_token_id</strong> (<code>int</code>, <em>optional</em>, defaults to -100) &#x2014;
The id to use when padding the labels (-100 will be automatically ignored by PyTorch loss functions).`,name:"label_pad_token_id"},{anchor:"transformers.DataCollatorForSeq2Seq.return_tensors",description:`<strong>return_tensors</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;pt&quot;</code>) &#x2014;
The type of Tensor to return. Allowable values are &#x201C;np&#x201D;, &#x201C;pt&#x201D; and &#x201C;tf&#x201D;.`,name:"return_tensors"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/data/data_collator.py#L543"}}),de=new W({props:{title:"DataCollatorForLanguageModeling",local:"transformers.DataCollatorForLanguageModeling",headingTag:"h2"}}),me=new v({props:{name:"class transformers.DataCollatorForLanguageModeling",anchor:"transformers.DataCollatorForLanguageModeling",parameters:[{name:"tokenizer",val:": PreTrainedTokenizerBase"},{name:"mlm",val:": bool = True"},{name:"mlm_probability",val:": float = 0.15"},{name:"pad_to_multiple_of",val:": typing.Optional[int] = None"},{name:"tf_experimental_compile",val:": bool = False"},{name:"return_tensors",val:": str = 'pt'"}],parametersDescription:[{anchor:"transformers.DataCollatorForLanguageModeling.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a> or <a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast">PreTrainedTokenizerFast</a>) &#x2014;
The tokenizer used for encoding the data.`,name:"tokenizer"},{anchor:"transformers.DataCollatorForLanguageModeling.mlm",description:`<strong>mlm</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to use masked language modeling. If set to <code>False</code>, the labels are the same as the inputs
with the padding tokens ignored (by setting them to -100). Otherwise, the labels are -100 for non-masked
tokens and the value to predict for the masked token.`,name:"mlm"},{anchor:"transformers.DataCollatorForLanguageModeling.mlm_probability",description:`<strong>mlm_probability</strong> (<code>float</code>, <em>optional</em>, defaults to 0.15) &#x2014;
The probability with which to (randomly) mask tokens in the input, when <code>mlm</code> is set to <code>True</code>.`,name:"mlm_probability"},{anchor:"transformers.DataCollatorForLanguageModeling.pad_to_multiple_of",description:`<strong>pad_to_multiple_of</strong> (<code>int</code>, <em>optional</em>) &#x2014;
If set will pad the sequence to a multiple of the provided value.</p>
<p>This is especially useful to enable the use of Tensor Cores on NVIDIA hardware with compute capability &gt;=
7.0 (Volta).`,name:"pad_to_multiple_of"},{anchor:"transformers.DataCollatorForLanguageModeling.return_tensors",description:`<strong>return_tensors</strong> (<code>str</code>) &#x2014;
The type of Tensor to return. Allowable values are &#x201C;np&#x201D;, &#x201C;pt&#x201D; and &#x201C;tf&#x201D;.`,name:"return_tensors"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/data/data_collator.py#L679"}}),j=new rn({props:{$$slots:{default:[fn]},$$scope:{ctx:Le}}}),pe=new v({props:{name:"numpy_mask_tokens",anchor:"transformers.DataCollatorForLanguageModeling.numpy_mask_tokens",parameters:[{name:"inputs",val:": typing.Any"},{name:"special_tokens_mask",val:": typing.Optional[typing.Any] = None"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/data/data_collator.py#L888"}}),ce=new v({props:{name:"tf_mask_tokens",anchor:"transformers.DataCollatorForLanguageModeling.tf_mask_tokens",parameters:[{name:"inputs",val:": typing.Any"},{name:"vocab_size",val:""},{name:"mask_token_id",val:""},{name:"special_tokens_mask",val:": typing.Optional[typing.Any] = None"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/data/data_collator.py#L735"}}),ge=new v({props:{name:"torch_mask_tokens",anchor:"transformers.DataCollatorForLanguageModeling.torch_mask_tokens",parameters:[{name:"inputs",val:": typing.Any"},{name:"special_tokens_mask",val:": typing.Optional[typing.Any] = None"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/data/data_collator.py#L831"}}),fe=new W({props:{title:"DataCollatorForWholeWordMask",local:"transformers.DataCollatorForWholeWordMask",headingTag:"h2"}}),ue=new v({props:{name:"class transformers.DataCollatorForWholeWordMask",anchor:"transformers.DataCollatorForWholeWordMask",parameters:[{name:"tokenizer",val:": PreTrainedTokenizerBase"},{name:"mlm",val:": bool = True"},{name:"mlm_probability",val:": float = 0.15"},{name:"pad_to_multiple_of",val:": typing.Optional[int] = None"},{name:"tf_experimental_compile",val:": bool = False"},{name:"return_tensors",val:": str = 'pt'"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/data/data_collator.py#L926"}}),U=new rn({props:{$$slots:{default:[un]},$$scope:{ctx:Le}}}),he=new v({props:{name:"numpy_mask_tokens",anchor:"transformers.DataCollatorForWholeWordMask.numpy_mask_tokens",parameters:[{name:"inputs",val:": typing.Any"},{name:"mask_labels",val:": typing.Any"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/data/data_collator.py#L1157"}}),_e=new v({props:{name:"tf_mask_tokens",anchor:"transformers.DataCollatorForWholeWordMask.tf_mask_tokens",parameters:[{name:"inputs",val:": typing.Any"},{name:"mask_labels",val:": typing.Any"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/data/data_collator.py#L1115"}}),be=new v({props:{name:"torch_mask_tokens",anchor:"transformers.DataCollatorForWholeWordMask.torch_mask_tokens",parameters:[{name:"inputs",val:": typing.Any"},{name:"mask_labels",val:": typing.Any"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/data/data_collator.py#L1075"}}),$e=new W({props:{title:"DataCollatorForPermutationLanguageModeling",local:"transformers.DataCollatorForPermutationLanguageModeling",headingTag:"h2"}}),ve=new v({props:{name:"class transformers.DataCollatorForPermutationLanguageModeling",anchor:"transformers.DataCollatorForPermutationLanguageModeling",parameters:[{name:"tokenizer",val:": PreTrainedTokenizerBase"},{name:"plm_probability",val:": float = 0.16666666666666666"},{name:"max_span_length",val:": int = 5"},{name:"return_tensors",val:": str = 'pt'"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/data/data_collator.py#L1281"}}),ke=new v({props:{name:"numpy_mask_tokens",anchor:"transformers.DataCollatorForPermutationLanguageModeling.numpy_mask_tokens",parameters:[{name:"inputs",val:": typing.Any"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/data/data_collator.py#L1522"}}),Ce=new v({props:{name:"tf_mask_tokens",anchor:"transformers.DataCollatorForPermutationLanguageModeling.tf_mask_tokens",parameters:[{name:"inputs",val:": typing.Any"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/data/data_collator.py#L1415"}}),Te=new v({props:{name:"torch_mask_tokens",anchor:"transformers.DataCollatorForPermutationLanguageModeling.torch_mask_tokens",parameters:[{name:"inputs",val:": typing.Any"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/data/data_collator.py#L1316"}}),we=new W({props:{title:"DataCollatorWithFlattening",local:"transformers.DataCollatorWithFlattening",headingTag:"h2"}}),Pe=new v({props:{name:"class transformers.DataCollatorWithFlattening",anchor:"transformers.DataCollatorWithFlattening",parameters:[{name:"*args",val:""},{name:"return_position_ids",val:" = True"},{name:"separator_id",val:" = -100"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/data/data_collator.py#L1620"}}),Fe=new gn({props:{source:"https://github.com/huggingface/transformers/blob/main/docs/source/en/main_classes/data_collator.md"}}),{c(){h=l("meta"),M=a(),k=l("p"),E=a(),m(X.$$.fragment),it=a(),J=l("p"),J.innerHTML=wa,dt=a(),Q=l("p"),Q.innerHTML=Pa,mt=a(),Y=l("p"),Y.innerHTML=Fa,pt=a(),m(Z.$$.fragment),ct=a(),D=l("div"),m(ee.$$.fragment),jt=a(),qe=l("p"),qe.textContent=La,Nt=a(),Me=l("ul"),Me.innerHTML=qa,Ot=a(),ze=l("p"),ze.textContent=Ma,gt=a(),m(te.$$.fragment),ft=a(),y=l("div"),m(ae.$$.fragment),Bt=a(),Se=l("p"),Se.textContent=za,Ut=a(),Ie=l("ul"),Ie.innerHTML=Sa,Kt=a(),We=l("p"),We.textContent=Ia,Rt=a(),Ae=l("p"),Ae.textContent=Wa,ut=a(),m(ne.$$.fragment),ht=a(),A=l("div"),m(oe.$$.fragment),Gt=a(),He=l("p"),He.textContent=Aa,_t=a(),m(re.$$.fragment),bt=a(),H=l("div"),m(le.$$.fragment),Xt=a(),Ve=l("p"),Ve.textContent=Ha,$t=a(),m(se.$$.fragment),vt=a(),V=l("div"),m(ie.$$.fragment),Jt=a(),Ee=l("p"),Ee.textContent=Va,kt=a(),m(de.$$.fragment),xt=a(),x=l("div"),m(me.$$.fragment),Qt=a(),je=l("p"),je.textContent=Ea,Yt=a(),m(j.$$.fragment),Zt=a(),N=l("div"),m(pe.$$.fragment),ea=a(),Ne=l("p"),Ne.textContent=ja,ta=a(),O=l("div"),m(ce.$$.fragment),aa=a(),Oe=l("p"),Oe.textContent=Na,na=a(),B=l("div"),m(ge.$$.fragment),oa=a(),Be=l("p"),Be.textContent=Oa,Ct=a(),m(fe.$$.fragment),yt=a(),$=l("div"),m(ue.$$.fragment),ra=a(),Ue=l("p"),Ue.textContent=Ba,la=a(),Ke=l("ul"),Ke.innerHTML=Ua,sa=a(),m(U.$$.fragment),ia=a(),K=l("div"),m(he.$$.fragment),da=a(),Re=l("p"),Re.textContent=Ka,ma=a(),R=l("div"),m(_e.$$.fragment),pa=a(),Ge=l("p"),Ge.textContent=Ra,ca=a(),G=l("div"),m(be.$$.fragment),ga=a(),Xe=l("p"),Xe.textContent=Ga,Tt=a(),m($e.$$.fragment),Dt=a(),C=l("div"),m(ve.$$.fragment),fa=a(),Je=l("p"),Je.textContent=Xa,ua=a(),Qe=l("ul"),Qe.innerHTML=Ja,ha=a(),z=l("div"),m(ke.$$.fragment),_a=a(),Ye=l("p"),Ye.textContent=Qa,ba=a(),xe=l("ol"),xe.innerHTML=Ya,$a=a(),S=l("div"),m(Ce.$$.fragment),va=a(),Ze=l("p"),Ze.textContent=Za,ka=a(),ye=l("ol"),ye.innerHTML=en,xa=a(),I=l("div"),m(Te.$$.fragment),Ca=a(),et=l("p"),et.textContent=tn,ya=a(),De=l("ol"),De.innerHTML=an,wt=a(),m(we.$$.fragment),Pt=a(),L=l("div"),m(Pe.$$.fragment),Ta=a(),tt=l("p"),tt.textContent=nn,Da=a(),at=l("ul"),at.innerHTML=on,Ft=a(),m(Fe.$$.fragment),Lt=a(),st=l("p"),this.h()},l(e){const r=cn("svelte-u9bgzb",document.head);h=s(r,"META",{name:!0,content:!0}),r.forEach(o),M=n(e),k=s(e,"P",{}),b(k).forEach(o),E=n(e),p(X.$$.fragment,e),it=n(e),J=s(e,"P",{"data-svelte-h":!0}),d(J)!=="svelte-1kxfoc9"&&(J.innerHTML=wa),dt=n(e),Q=s(e,"P",{"data-svelte-h":!0}),d(Q)!=="svelte-1e3gfra"&&(Q.innerHTML=Pa),mt=n(e),Y=s(e,"P",{"data-svelte-h":!0}),d(Y)!=="svelte-10kyi1a"&&(Y.innerHTML=Fa),pt=n(e),p(Z.$$.fragment,e),ct=n(e),D=s(e,"DIV",{class:!0});var q=b(D);p(ee.$$.fragment,q),jt=n(q),qe=s(q,"P",{"data-svelte-h":!0}),d(qe)!=="svelte-1hmsgsg"&&(qe.textContent=La),Nt=n(q),Me=s(q,"UL",{"data-svelte-h":!0}),d(Me)!=="svelte-1pq8qks"&&(Me.innerHTML=qa),Ot=n(q),ze=s(q,"P",{"data-svelte-h":!0}),d(ze)!=="svelte-1vi1gug"&&(ze.textContent=Ma),q.forEach(o),gt=n(e),p(te.$$.fragment,e),ft=n(e),y=s(e,"DIV",{class:!0});var w=b(y);p(ae.$$.fragment,w),Bt=n(w),Se=s(w,"P",{"data-svelte-h":!0}),d(Se)!=="svelte-1hmsgsg"&&(Se.textContent=za),Ut=n(w),Ie=s(w,"UL",{"data-svelte-h":!0}),d(Ie)!=="svelte-1pq8qks"&&(Ie.innerHTML=Sa),Kt=n(w),We=s(w,"P",{"data-svelte-h":!0}),d(We)!=="svelte-1vi1gug"&&(We.textContent=Ia),Rt=n(w),Ae=s(w,"P",{"data-svelte-h":!0}),d(Ae)!=="svelte-vfvbwr"&&(Ae.textContent=Wa),w.forEach(o),ut=n(e),p(ne.$$.fragment,e),ht=n(e),A=s(e,"DIV",{class:!0});var Mt=b(A);p(oe.$$.fragment,Mt),Gt=n(Mt),He=s(Mt,"P",{"data-svelte-h":!0}),d(He)!=="svelte-1iebpai"&&(He.textContent=Aa),Mt.forEach(o),_t=n(e),p(re.$$.fragment,e),bt=n(e),H=s(e,"DIV",{class:!0});var zt=b(H);p(le.$$.fragment,zt),Xt=n(zt),Ve=s(zt,"P",{"data-svelte-h":!0}),d(Ve)!=="svelte-4uvw1w"&&(Ve.textContent=Ha),zt.forEach(o),$t=n(e),p(se.$$.fragment,e),vt=n(e),V=s(e,"DIV",{class:!0});var St=b(V);p(ie.$$.fragment,St),Jt=n(St),Ee=s(St,"P",{"data-svelte-h":!0}),d(Ee)!=="svelte-4uvw1w"&&(Ee.textContent=Va),St.forEach(o),kt=n(e),p(de.$$.fragment,e),xt=n(e),x=s(e,"DIV",{class:!0});var P=b(x);p(me.$$.fragment,P),Qt=n(P),je=s(P,"P",{"data-svelte-h":!0}),d(je)!=="svelte-10km8jk"&&(je.textContent=Ea),Yt=n(P),p(j.$$.fragment,P),Zt=n(P),N=s(P,"DIV",{class:!0});var It=b(N);p(pe.$$.fragment,It),ea=n(It),Ne=s(It,"P",{"data-svelte-h":!0}),d(Ne)!=="svelte-iv4xqf"&&(Ne.textContent=ja),It.forEach(o),ta=n(P),O=s(P,"DIV",{class:!0});var Wt=b(O);p(ce.$$.fragment,Wt),aa=n(Wt),Oe=s(Wt,"P",{"data-svelte-h":!0}),d(Oe)!=="svelte-iv4xqf"&&(Oe.textContent=Na),Wt.forEach(o),na=n(P),B=s(P,"DIV",{class:!0});var At=b(B);p(ge.$$.fragment,At),oa=n(At),Be=s(At,"P",{"data-svelte-h":!0}),d(Be)!=="svelte-iv4xqf"&&(Be.textContent=Oa),At.forEach(o),P.forEach(o),Ct=n(e),p(fe.$$.fragment,e),yt=n(e),$=s(e,"DIV",{class:!0});var T=b($);p(ue.$$.fragment,T),ra=n(T),Ue=s(T,"P",{"data-svelte-h":!0}),d(Ue)!=="svelte-sjqk55"&&(Ue.textContent=Ba),la=n(T),Ke=s(T,"UL",{"data-svelte-h":!0}),d(Ke)!=="svelte-d2ozxj"&&(Ke.innerHTML=Ua),sa=n(T),p(U.$$.fragment,T),ia=n(T),K=s(T,"DIV",{class:!0});var Ht=b(K);p(he.$$.fragment,Ht),da=n(Ht),Re=s(Ht,"P",{"data-svelte-h":!0}),d(Re)!=="svelte-10msjh1"&&(Re.textContent=Ka),Ht.forEach(o),ma=n(T),R=s(T,"DIV",{class:!0});var Vt=b(R);p(_e.$$.fragment,Vt),pa=n(Vt),Ge=s(Vt,"P",{"data-svelte-h":!0}),d(Ge)!=="svelte-10msjh1"&&(Ge.textContent=Ra),Vt.forEach(o),ca=n(T),G=s(T,"DIV",{class:!0});var Et=b(G);p(be.$$.fragment,Et),ga=n(Et),Xe=s(Et,"P",{"data-svelte-h":!0}),d(Xe)!=="svelte-10msjh1"&&(Xe.textContent=Ga),Et.forEach(o),T.forEach(o),Tt=n(e),p($e.$$.fragment,e),Dt=n(e),C=s(e,"DIV",{class:!0});var F=b(C);p(ve.$$.fragment,F),fa=n(F),Je=s(F,"P",{"data-svelte-h":!0}),d(Je)!=="svelte-12inif1"&&(Je.textContent=Xa),ua=n(F),Qe=s(F,"UL",{"data-svelte-h":!0}),d(Qe)!=="svelte-1t4qh7k"&&(Qe.innerHTML=Ja),ha=n(F),z=s(F,"DIV",{class:!0});var nt=b(z);p(ke.$$.fragment,nt),_a=n(nt),Ye=s(nt,"P",{"data-svelte-h":!0}),d(Ye)!=="svelte-1u70phx"&&(Ye.textContent=Qa),ba=n(nt),xe=s(nt,"OL",{start:!0,"data-svelte-h":!0}),d(xe)!=="svelte-1r6jrbi"&&(xe.innerHTML=Ya),nt.forEach(o),$a=n(F),S=s(F,"DIV",{class:!0});var ot=b(S);p(Ce.$$.fragment,ot),va=n(ot),Ze=s(ot,"P",{"data-svelte-h":!0}),d(Ze)!=="svelte-1u70phx"&&(Ze.textContent=Za),ka=n(ot),ye=s(ot,"OL",{start:!0,"data-svelte-h":!0}),d(ye)!=="svelte-1r6jrbi"&&(ye.innerHTML=en),ot.forEach(o),xa=n(F),I=s(F,"DIV",{class:!0});var rt=b(I);p(Te.$$.fragment,rt),Ca=n(rt),et=s(rt,"P",{"data-svelte-h":!0}),d(et)!=="svelte-1u70phx"&&(et.textContent=tn),ya=n(rt),De=s(rt,"OL",{start:!0,"data-svelte-h":!0}),d(De)!=="svelte-1r6jrbi"&&(De.innerHTML=an),rt.forEach(o),F.forEach(o),wt=n(e),p(we.$$.fragment,e),Pt=n(e),L=s(e,"DIV",{class:!0});var lt=b(L);p(Pe.$$.fragment,lt),Ta=n(lt),tt=s(lt,"P",{"data-svelte-h":!0}),d(tt)!=="svelte-4gb9ju"&&(tt.textContent=nn),Da=n(lt),at=s(lt,"UL",{"data-svelte-h":!0}),d(at)!=="svelte-1w5rvhw"&&(at.innerHTML=on),lt.forEach(o),Ft=n(e),p(Fe.$$.fragment,e),Lt=n(e),st=s(e,"P",{}),b(st).forEach(o),this.h()},h(){_(h,"name","hf:doc:metadata"),_(h,"content",_n),_(D,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(A,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(H,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(V,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(N,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(O,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(B,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(x,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(K,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(R,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(G,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_($,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(xe,"start","0"),_(z,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(ye,"start","0"),_(S,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(De,"start","0"),_(I,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(C,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(L,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,r){t(document.head,h),i(e,M,r),i(e,k,r),i(e,E,r),c(X,e,r),i(e,it,r),i(e,J,r),i(e,dt,r),i(e,Q,r),i(e,mt,r),i(e,Y,r),i(e,pt,r),c(Z,e,r),i(e,ct,r),i(e,D,r),c(ee,D,null),t(D,jt),t(D,qe),t(D,Nt),t(D,Me),t(D,Ot),t(D,ze),i(e,gt,r),c(te,e,r),i(e,ft,r),i(e,y,r),c(ae,y,null),t(y,Bt),t(y,Se),t(y,Ut),t(y,Ie),t(y,Kt),t(y,We),t(y,Rt),t(y,Ae),i(e,ut,r),c(ne,e,r),i(e,ht,r),i(e,A,r),c(oe,A,null),t(A,Gt),t(A,He),i(e,_t,r),c(re,e,r),i(e,bt,r),i(e,H,r),c(le,H,null),t(H,Xt),t(H,Ve),i(e,$t,r),c(se,e,r),i(e,vt,r),i(e,V,r),c(ie,V,null),t(V,Jt),t(V,Ee),i(e,kt,r),c(de,e,r),i(e,xt,r),i(e,x,r),c(me,x,null),t(x,Qt),t(x,je),t(x,Yt),c(j,x,null),t(x,Zt),t(x,N),c(pe,N,null),t(N,ea),t(N,Ne),t(x,ta),t(x,O),c(ce,O,null),t(O,aa),t(O,Oe),t(x,na),t(x,B),c(ge,B,null),t(B,oa),t(B,Be),i(e,Ct,r),c(fe,e,r),i(e,yt,r),i(e,$,r),c(ue,$,null),t($,ra),t($,Ue),t($,la),t($,Ke),t($,sa),c(U,$,null),t($,ia),t($,K),c(he,K,null),t(K,da),t(K,Re),t($,ma),t($,R),c(_e,R,null),t(R,pa),t(R,Ge),t($,ca),t($,G),c(be,G,null),t(G,ga),t(G,Xe),i(e,Tt,r),c($e,e,r),i(e,Dt,r),i(e,C,r),c(ve,C,null),t(C,fa),t(C,Je),t(C,ua),t(C,Qe),t(C,ha),t(C,z),c(ke,z,null),t(z,_a),t(z,Ye),t(z,ba),t(z,xe),t(C,$a),t(C,S),c(Ce,S,null),t(S,va),t(S,Ze),t(S,ka),t(S,ye),t(C,xa),t(C,I),c(Te,I,null),t(I,Ca),t(I,et),t(I,ya),t(I,De),i(e,wt,r),c(we,e,r),i(e,Pt,r),i(e,L,r),c(Pe,L,null),t(L,Ta),t(L,tt),t(L,Da),t(L,at),i(e,Ft,r),c(Fe,e,r),i(e,Lt,r),i(e,st,r),qt=!0},p(e,[r]){const q={};r&2&&(q.$$scope={dirty:r,ctx:e}),j.$set(q);const w={};r&2&&(w.$$scope={dirty:r,ctx:e}),U.$set(w)},i(e){qt||(g(X.$$.fragment,e),g(Z.$$.fragment,e),g(ee.$$.fragment,e),g(te.$$.fragment,e),g(ae.$$.fragment,e),g(ne.$$.fragment,e),g(oe.$$.fragment,e),g(re.$$.fragment,e),g(le.$$.fragment,e),g(se.$$.fragment,e),g(ie.$$.fragment,e),g(de.$$.fragment,e),g(me.$$.fragment,e),g(j.$$.fragment,e),g(pe.$$.fragment,e),g(ce.$$.fragment,e),g(ge.$$.fragment,e),g(fe.$$.fragment,e),g(ue.$$.fragment,e),g(U.$$.fragment,e),g(he.$$.fragment,e),g(_e.$$.fragment,e),g(be.$$.fragment,e),g($e.$$.fragment,e),g(ve.$$.fragment,e),g(ke.$$.fragment,e),g(Ce.$$.fragment,e),g(Te.$$.fragment,e),g(we.$$.fragment,e),g(Pe.$$.fragment,e),g(Fe.$$.fragment,e),qt=!0)},o(e){f(X.$$.fragment,e),f(Z.$$.fragment,e),f(ee.$$.fragment,e),f(te.$$.fragment,e),f(ae.$$.fragment,e),f(ne.$$.fragment,e),f(oe.$$.fragment,e),f(re.$$.fragment,e),f(le.$$.fragment,e),f(se.$$.fragment,e),f(ie.$$.fragment,e),f(de.$$.fragment,e),f(me.$$.fragment,e),f(j.$$.fragment,e),f(pe.$$.fragment,e),f(ce.$$.fragment,e),f(ge.$$.fragment,e),f(fe.$$.fragment,e),f(ue.$$.fragment,e),f(U.$$.fragment,e),f(he.$$.fragment,e),f(_e.$$.fragment,e),f(be.$$.fragment,e),f($e.$$.fragment,e),f(ve.$$.fragment,e),f(ke.$$.fragment,e),f(Ce.$$.fragment,e),f(Te.$$.fragment,e),f(we.$$.fragment,e),f(Pe.$$.fragment,e),f(Fe.$$.fragment,e),qt=!1},d(e){e&&(o(M),o(k),o(E),o(it),o(J),o(dt),o(Q),o(mt),o(Y),o(pt),o(ct),o(D),o(gt),o(ft),o(y),o(ut),o(ht),o(A),o(_t),o(bt),o(H),o($t),o(vt),o(V),o(kt),o(xt),o(x),o(Ct),o(yt),o($),o(Tt),o(Dt),o(C),o(wt),o(Pt),o(L),o(Ft),o(Lt),o(st)),o(h),u(X,e),u(Z,e),u(ee),u(te,e),u(ae),u(ne,e),u(oe),u(re,e),u(le),u(se,e),u(ie),u(de,e),u(me),u(j),u(pe),u(ce),u(ge),u(fe,e),u(ue),u(U),u(he),u(_e),u(be),u($e,e),u(ve),u(ke),u(Ce),u(Te),u(we,e),u(Pe),u(Fe,e)}}}const _n='{"title":"Data Collator","local":"data-collator","sections":[{"title":"Default data collator","local":"transformers.default_data_collator","sections":[],"depth":2},{"title":"DefaultDataCollator","local":"transformers.DefaultDataCollator","sections":[],"depth":2},{"title":"DataCollatorWithPadding","local":"transformers.DataCollatorWithPadding","sections":[],"depth":2},{"title":"DataCollatorForTokenClassification","local":"transformers.DataCollatorForTokenClassification","sections":[],"depth":2},{"title":"DataCollatorForSeq2Seq","local":"transformers.DataCollatorForSeq2Seq","sections":[],"depth":2},{"title":"DataCollatorForLanguageModeling","local":"transformers.DataCollatorForLanguageModeling","sections":[],"depth":2},{"title":"DataCollatorForWholeWordMask","local":"transformers.DataCollatorForWholeWordMask","sections":[],"depth":2},{"title":"DataCollatorForPermutationLanguageModeling","local":"transformers.DataCollatorForPermutationLanguageModeling","sections":[],"depth":2},{"title":"DataCollatorWithFlattening","local":"transformers.DataCollatorWithFlattening","sections":[],"depth":2}],"depth":1}';function bn(Le){return dn(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class yn extends mn{constructor(h){super(),pn(this,h,bn,hn,sn,{})}}export{yn as component};
